#
# spec file for package python3-argh
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-argh
Version:        0.26.2
Release:        1.1
Url:            http://github.com/neithere/argh/
Summary:        A simple argparse wrapper
License:        LGPL-3.0+
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/a/argh/argh-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildArch:      noarch

%description
Agrh, argparse!

Did you ever say "argh" trying to remember the details of optparse or argparse
API? If yes, this package may be useful for you. It provides a very simple
wrapper for argparse with support for hierarchical commands that can be bound
to modules or classes. Argparse can do it; argh makes it easy.

Here's a list of features that argh adds to argparse:

* mark a function as a CLI command and specify its arguments before the parser
  is instantiated;
* nesed commands made easy: no messing with subparsers (though they are of
  course used under the hood);
* infer agrument type from the default value;
* infer command name from function name;
* add an alias root command help for the --help argument;
* enable passing unwrapped arguments to certain functions instead of a
  argparse.Namespace object.

Argh is fully compatible with argparse. You can mix argh-agnostic and
argh-aware code. Just keep in mind that argh.dispatch does some extra
work that a custom dispatcher may not do.

%prep
%setup -q -n argh-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst
%{python3_sitelib}/*

%changelog
* Fri Jul 22 2016 arun@gmx.de
- update to version 0.26.2:
  * Removed official support for Python 3.4, added for 3.5.
  * Various tox-related improvements for development.
  * Improved documentation.
* Sun May  8 2016 arun@gmx.de
- specfile:
  * changed to https for source url
  * updated source url to files.pythonhosted.org
* Fri Jan 16 2015 arun@gmx.de
- specfile:
  * updated url
  * README -> README.rst
- updated to version 0.26.1:
  * The undocumented (and untested) argument `dispatch(...,
    pre_call=x)` was broken; fixing because at least one important app
    depends on it (issue #63).
- changes from version 0.26:
  * Removed decorator `@alias` (deprecated since v.0.19).
  * Removed decorator `@plain_signature` (deprecated since v.0.20).
  * Dropped support for old-style functions that implicitly expected
    namespace objects (deprecated since v.0.21).  The `@expects_obj`
    decorator is now mandatory for such functions.
  * Removed decorator `@command` (deprecated since v.0.21).
  * The `@wrap_errors` decorator now strictly requires that the
    classes are given as a list (old behaviour was deprecated since
    v.0.22).
  * The `allow_warnings` argument is removed from
    `argh.completion.autocomplete()`.  Debug-level logging is used
    instead.  (The warnings were deprecated since v.0.25).
  * Deprecated arguments `title`, `help` and `description` in
    `add_commands()` helper function.  See documentation and issue #60.
  * Improved representation of default values in the help.
  * Dispatcher can be configured to skip unknown arguments (issue
    [#57]).
  * Added `add_subcommands()` helper function (a convenience wrapper
    for `add_commands()`).
  * `EntryPoint` now stores kwargs for the parser.
  * Added support for default command *with* nested commands (issue
    [#78]).
  * Help formatter was broken for arguments with empty strings as
    default values (issue #76).
- changes from version 0.25:
  * Added EntryPoint class as another way to assemble functions (issue
    [#59]).
  * Added support for Python 3.4; dropped support for Python 3.3 (this
    doesn't mean that Argh is necessarily broken under 3.3, it's just
    that I'm not testing against it anymore).
  * Shell completion warnings are now deprecated in favour of
    `logging`.
  * The command help now displays default values of all arguments
    (issue #64).
  * Function docstrings are now displayed verbatim in the help (issue
    [#64]).
  * Argh's dispatching now should work properly in Cython.
- no changelog information for earlier version.
* Sat Jan 10 2015 arun@gmx.de
- specfile:
  * update copyright year
  * remove ifs for opensuse version <=1220
* Wed Oct 23 2013 toddrme2178@gmail.com
- Add BuildRequires: python3 for openSUSE 12.2, so hashlib is
  available.
* Fri Oct 11 2013 speilicke@suse.com
- No need to depend on argparse, it's part of the stdlib since 2.7
* Wed Sep 25 2013 p.drouand@gmail.com
- Initial python3 support
* Wed Sep 25 2013 p.drouand@gmail.com
- Update to version 0.23.3
  + No changelog available
* Thu Mar  7 2013 darin@darins.net
- Update to verios 0.23.0
  + Upstream provides no changelog
* Fri Nov 23 2012 saschpe@suse.de
- Update to version 0.17.2:
  + Upstream provides no changelog
* Wed Jun  6 2012 os-dev@jacraig.com
- Update to version 0.15.1:
  + Upstream provides no changelog
* Tue Jan 31 2012 saschpe@suse.de
- Initial version
